/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.paginationsortingexample;

import java.util.List;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

/**
 *
 * @author omozegieaziegbe
 */
@Repository
public interface BookRepository extends PagingAndSortingRepository<Book, Long> {

    List<Book> findByTitleContaining(String title, Pageable pageable);
}
